Simpler Navigation for Servers and Operating Systems
Completed: a much simpler Servers and Operating Systems section of the Community. We combined many of the older boards, so you won't have to click through so many levels to get at the information you need. Check the consolidated boards here as many sub-forums are now single boards.
cancel
Showing results for 
Search instead for 
Did you mean: 

WHY!? cc compiler errors

Travis Paakki
Occasional Visitor

WHY!? cc compiler errors

 
No, we'll negotiate from there
4 REPLIES
Madhu Sudhan_1
Respected Contributor

Re: WHY!? cc compiler errors

Hi Travis Paakki !
Looks to me like your system doesn't have ANSI C compiler. Pick your Application CD and install it.

...Madhu
Think Positive
Jitendra_1
Trusted Contributor

Re: WHY!? cc compiler errors

Under HP-UX , the C compiler is not bundled with the OS , you have to buy it separately. If you havent bought it or dont want to , then download the GNU C compiler and include it in your PATH. The errors just say that you dont have Ansi C installed.

hope this helps
Learning is the Key!
Bruce Regittko_1
Esteemed Contributor

Re: WHY!? cc compiler errors

Hi,

You need to install an ANSI C compiler. See the following link for information on where to get GNU's free gcc compiler or contact HP about purchasing their ANSI C compiler.

http://forums.itrc.hp.com/cm/QuestionAnswer/1,1150,0x08af854994d9d4118fef0090279cd0f9,00.html

--Bruce
www.stratech.com/training
Philip Chan_1
Respected Contributor

Re: WHY!? cc compiler errors

Just use gcc for compiling the perl package. Gcc is ansi compliant and equally good as the C development compiler from HP.